Endpoints年龄验证

获取年龄验证请求的状态

返回年龄验证请求的当前状态。可在发起验证后轮询,也可用于在服务端确认 webhook。 请求会从 `PENDING` 进入 `IN_PROGRESS`,最终确定为 `PASS` 或 `FAIL`。已确定的请求还会包含验证结果——年龄估计、年龄分类和所用方法——失败时则包含原因。除 `PASS` 和 `FAIL` 之外的状态都应视为仍在进行中。

GET
/age-verification/get-status
AuthorizationBearer <token>

In: header

Query Parameters

id*string

The ID of the age verification request

Match^[A-z0-9]{8}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{4}-[A-z0-9]{12}$
Formatuuid
includeDob?boolean

If set to true, includes the verified date of birth (dob) field in the response when available

Defaultfalse

Response Body

application/json

curl -X GET "https://example.com/age-verification/get-status?id=ae6d4729-af32-42ea-8ef2-ff46c7664802"

{  "id": "ae6d4729-af32-42ea-8ef2-ff46c7664802",  "status": "PASS",  "age": {    "low": 18,    "high": 20  },  "ageCategory": "adult",  "method": "id-document"}